Vulnerabilità: CVE-2004-1188


La funzione pnm_get_chunk in xine 0.99.2 e precedenti, e altri pacchetti come MPlayer che utilizzano lo stesso codice, non correttamente verificare che la dimensione del blocco è inferiore alla PREAMBLE_SIZE, che provoca un’operazione di lettura con una lunghezza negativa che porta ad un overflow del buffer via (1) RMF_TAG, (2) DATA_TAG, (3) PROP_TAG, (4) MDPR_TAG, e (5) valori CONT_TAG, una vulnerabilità diverso CVE-2004-1187.
http://cvs.sourceforge.net/viewcvs.py/xine/xine-lib/src/input/pnm.c?r1=1.20&r2=1.21
http://www.mplayerhq.hu/MPlayer/patches/pnm_fix_20041215.diff
http://www.idefense.com/application/poi/display?id=177&type=vulnerabilities
http://www.mandriva.com/security/advisories?name=MDKSA-2005:011
https://exchange.xforce.ibmcloud.com/vulnerabilities/18638
https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2004-1188

E' possibile lasciare un commento come utenti registrati al sito, accedendo tramite social, account wordpress oppure come utenti anonimi. Nel caso in cui si desideri lasciare un commento come utenti anonimi si verrà avvisati via email di un'eventuale risposta solo se si inserisce l'indirizzo email (facoltativo). L'inserimento di qualsiasi dato nei campi dei commenti è totalmente facoltativo. Chiunque decida di inserire un qualsiasi dato accetta il trattamento di questi ultimi per i fini inerenti al servizio ovvero la risposta al commento e le comunicazioni strettamente necessarie.


Rispondi